<?php
use Illuminate\Support\Facades\Route;
use TPS\Payment\Http\Controllers\SenagatController;
use TPS\Payment\Http\Controllers\AltynAsyrController;
use TPS\Payment\Http\Controllers\TFEBController;

/**
 * Created by PhpStorm.
 * User: merdan
 * Date: 7/26/2019
 * Time: 16:49
 */
Route::group(['prefix' =>'payment','middleware' => ['web', 'locale', 'theme', 'currency']], function ()
{
    Route::get('altynasyr/redirect', [AltynAsyrController::class,'redirect'])
        ->name('paymentmethod.altynasyr.redirect');

    Route::get('altynasyr/complete/{cart_id}', [AltynAsyrController::class,'success'])
        ->name('paymentmethod.altynasyr.success');

    Route::get('altynasyr/cancel', [AltynAsyrController::class,'cancel'])
        ->name('paymentmethod.altynasyr.cancel');

    Route::get('tfeb/redirect',[TFEBController::class,'redirect'])
        ->name('paymentmethod.tfeb.redirect');

    Route::get('tfeb/complete/{cart_id}', [TFEBController::class,'complete'])
        ->name('paymentmethod.tfeb.complete');

    Route::get('tfeb/cancel', [TFEBController::class,'cancel'])
        ->name('paymentmethod.tfeb.cancel');

    Route::get('senagat/redirect',[SenagatController::class,'redirect'])
        ->name('paymentmethod.senagat.redirect');

    Route::get('senagat/complete/{cart_id}', [SenagatController::class,'complete'])
        ->name('paymentmethod.senagat.complete');

    Route::get('senagat/cancel', [SenagatController::class,'cancel'])
        ->name('paymentmethod.senagat.cancel');
});